org.keycloak.dom.saml.v2.protocol

## Class SubjectQueryAbstractType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

- All Implemented Interfaces:
    Serializable, SAML2Object
  Direct Known Subclasses:
    AttributeQueryType, AuthnQueryType, AuthzDecisionQueryType

      public abstract class SubjectQueryAbstractType
      extends RequestAbstractType

  Java class for SubjectQueryAbstractType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectQueryAbstractType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Subject"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SubjectType` | `subject`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectQueryAbstractType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SubjectType` | `getSubject()` Gets the value of the subject property.
    `void` | `setSubject(SubjectType subject)`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subject

          protected SubjectType subject

  - ### Constructor Detail

    - #### SubjectQueryAbstractType

          public SubjectQueryAbstractType(String id,
                                          XMLGregorianCalendar instant)

  - ### Method Detail

    - #### setSubject

          public void setSubject(SubjectType subject)

    - #### getSubject

          public SubjectType getSubject()

      Gets the value of the subject property.
      Returns:
        possible object is `SubjectType`

Copyright © 2021 JBoss by Red Hat. All rights reserved.